:root {
    --Primary: #864656;
    --Secondary: #FFEAED;
    --Tertiary: #FFFFFF;
    --bg: #F5EEF4;
    --texts: #444444;
}

@font-face {
    font-family: 'Oswald';
    font-style: normal;
    font-weight: 400;
    font-display: swap;
    src: url('/fonts/Oswald/static/Oswald-Regular.ttf') format('truetype');
}

@font-face {
    font-family: 'Oswald';
    font-style: normal;
    font-weight: 700;
    font-display: swap;
    src: url('/fonts/Oswald/static/Oswald-Bold.ttf') format('truetype');
}

@font-face {
    font-family: 'Bebas Neue';
    font-style: normal;
    font-weight: 300;
    src: url('/fonts/Bebas_Neue/BebasNeue-Regular.ttf') format('truetype');
}

@font-face {
    font-family: 'Poppins';
    font-style: normal;
    font-weight: 400;
    font-display: swap;
    src: url('/fonts/Poppins/Poppins-Regular.ttf') format('truetype');
}

@font-face {
    font-family: 'Poppins';
    font-style: normal;
    font-weight: 600;
    font-display: swap;
    src: url('/fonts/Poppins/Poppins-SemiBold.ttf') format('truetype');
}

@font-face {
    font-family: 'Poppins';
    font-style: normal;
    font-weight: 700;
    font-display: swap;
    src: url('/fonts/Poppins/Poppins-Bold.ttf') format('truetype');
}

@font-face {
    font-family: 'Fugaz One';
    font-style: normal;
    font-weight: 400;
    font-display: swap;
    src: url('/fonts/Fugaz_One/FugazOne-Regular.ttf') format('truetype');
}

.anton-regular {
    font-family: "Fugaz One", sans-serif;
}


/* GLOBAL */

* {
    box-sizing: border-box;
    margin: 0px;
    padding: 0px;
    font-family: 'Poppins', serif;
    text-decoration: none;
    list-style: none;
    outline: none;
    border: none;
    scroll-behavior: smooth;
}

body {
    scroll-snap-type: y mandatory;
    overflow-y: scroll;
    height: 100vh;
}

section {
    padding: 100px 0px;
    scroll-snap-align: start;
    scroll-snap-stop: always;
}

h1 {
    font-size: 2.5em;
    letter-spacing: 2px;
    font-weight: 700;
    margin-bottom: 50px;
    color: var(--bg);
    font-family: 'Oswald', serif;
    text-transform: uppercase;
}

h2 {
    font-size: 1.8em;
    letter-spacing: 1.5px;
    font-weight: 700;
    margin-bottom: 30px;
    color: var(--bg);
    font-family: 'Oswald', serif;
    text-transform: uppercase;
}

h3 {
    font-size: 1.2em;
    font-weight: 300;
    color: var(--Headings);
    font-family: 'Bebas Neue', sans-serif;
}

h4 {
    font-size: 1.2em;
    font-weight: 200;
    margin-bottom: 20px;
}

p {
    font-size: 1.1em
}

.btn {
    display: inline-block;
    width: auto;
    font-size: 1rem;
    padding: 15px 25px;
    border: none;
    border-radius: 8px;
    font-weight: 400;
    box-shadow: 0px 4px 6px rgba(0, 0, 0, 0.1);
    transition: all 0.2s ease-in-out;
    cursor: pointer;
    white-space: nowrap;
}

.btn.primary {
    background-color: var(--Primary);
    color: var(--bg);
}

.btn.accent {
    background-color: var(--Secondary);
    color: var(--Primary);
}

.btn.secondary {
    background-color: var(--bg);
    color: var(--Primary);
    border: 1px solid var(--Primary);
}

.btn:hover {
    transform: translateY(-2px);
    box-shadow: 0px 6px 10px rgba(0, 0, 0, 0.15);
}

.container {
    padding: 0px 5%;
}

/* NAVBAR */
.logo {
    width: 200px;
    height: 150px;
    padding-right: 30px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    position: relative;
    left: -30px;
}

.logo img {
    user-select: none;
    -webkit-user-drag: none;
    pointer-events: none;
    width: 100%;
}

.logo-other {
    width: 150px;
    height: 100px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.navbar {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: flex-start;
    padding: 20px 5%;
    backdrop-filter: blur(10px);
    position: fixed;
    width: 100%;
    top: 0;
    z-index: 10000;
    background-color: var(--Primary);
    opacity: 0;
}

.navbar.navbar-services {
    opacity: 1;
}

.navbar.visible {
    opacity: 1;
    transform: translateY(0);
}

.navbar-left {
    width: 100%;
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    align-items: center;
}

.nav-links {
    display: flex;
    padding: 0px 20px;
    border-radius: 30px;
}

.nav-links a {
    text-decoration: none;
    padding: 10px 20px;
    color: var(--bg);
    font-size: 1.0rem;
    transition: color 0.3s ease-in-out;
}

.nav-links a.active {
    font-weight: bold;
}

.nav-links a:hover {
    transform: translateY(-2px);
}

.nav-item {
    position: relative;
    margin-right: 20px;
}

.nav-item>a {
    display: inline-block;
    padding: 10px 20px;
    color: var(--bg);
    font-size: 1.0rem;
    transition: color 0.3s ease-in-out;
}

.dropdown {
    display: none;
    position: absolute;
    top: 100%;
    left: 0;
    background-color: var(--bg);
    padding: 10px 0;
    min-width: 180px;
    border-radius: 8px;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
    z-index: 10001;
}

.dropdown a {
    display: block;
    padding: 10px 20px;
    color: var(--bg);
    font-size: 1rem;
    white-space: nowrap;
}

.dropdown a:hover {
    background-color: rgba(255, 255, 255, 0.1);
}

.nav-item:hover .dropdown {
    display: block;
}

.navbar-CTA {
    display: none;
}

.CTA-mobile {
    padding: 15px 25px;
}

.burger {
    display: none;
    cursor: pointer;
}

.burger div {
    width: 30px;
    height: 3px;
    background: var(--Secondary);
    margin: 5px;
    transition: all 0.3s ease-in-out;
}

/* ACCUEIL HERO */
#accueil-hero {
    position: relative;
    scroll-snap-align: start;
    width: 100vw;
    min-height: 100vh;
    padding: 0px;
}

.accueil-video-container {
    position: relative;
    width: 100vw;
    height: 100vh;
    transition: height 0.3s ease-in-out;
}

.video-slider {
    display: flex;
    flex-direction: column;
    position: relative;
    height: 100dvh;
}

.video-slide {
    display: none;
    height: 100vh;
    position: relative;
}

.video-slide-content {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.video-slide.active {
    display: block;
}



.accueil-title-container {
    position: absolute;
    width: 100%;
    top: 50%;
    left: 50%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;
    z-index: 3;
    transform: translate(-50%, -50%);
}

.fade-out {
    animation: fadeOut 1s forwards;
    animation-delay: 2.5s;
}

@keyframes fadeOut {
    to {
        opacity: 0;
        visibility: hidden;
    }
}

.visible {
    opacity: 1 !important;
    visibility: visible !important;
    animation: none !important;
}

/* ACCUEIL INFO */
#accueil-info {
    background-color: var(--bg);
    padding: 0px;
    height: auto;
}

.container-accueil-info {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: flex-start;
    height: auto;
    padding-bottom: 50px;
}

.accueil-info-col {
    width: 100%;
    height: auto;
}

.accueil-info-col-left {
    width: 100%;
    height: auto;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: flex-start;
    gap: 2rem;
    margin: 40px 0px;
}

.accueil-info-col-right {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    position: relative;
    overflow: hidden;
    height: 100%;
    gap: 2rem;
}

.accueil-info-title h2 {
    color: var(--Primary);
    font-size: 2em;
    margin: 0px;
}

.accueil-info-text p {
    color: var(--Primary);
    font-size: 1.0em;
}

.accueil-info-CTA>* {
    margin: 0px 0px 15px 0px;
}

.accueil-info-img-container {
    border-radius: 10px;
    overflow: visible;
    box-shadow: 4px 4px 5px rgba(74, 83, 59, 0.4);
}

.accueil-info-img-top {
    transform: translateY(0);
    z-index: 1;
}

.accueil-info-img-down {
    transform: translateY(0);
    z-index: 1;
}

.accueil-info-img {
    position: relative;
    width: 100%;
    height: 350px;
    max-width: 300px;
    border-radius: 10px;
    display: block;
    object-fit: cover;
}

.accueil-info-img-container::after {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(134, 70, 86, 0.3);
    pointer-events: none;
    z-index: 2;
    border-radius: 10px;
}

/* COURS POLE */
#cours-pole {
    background-color: var(--Tertiary);
}

.container-cours-pole {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 2em;
    height: 100%;
}

.accueil-cours-pole-header {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;
    padding: 0px 20px;
    gap: 1rem;
}

.accueil-cours-pole-header h2,
.accueil-cours-pole-header p {
    color: var(--Primary);
}

.accueil-cours-pole {
    display: flex;
    flex-direction: row;
    align-items: stretch;
    gap: 0.2em;
}

.barre-verticale {
    width: 10px;
    background-color: var(--Primary);
}

.accueil-cours-pole-content {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 2em;
}

.accueil-cours-pole-card {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: flex-start;
    background-color: var(--bg);
    border-radius: 8px;
    padding: 20px;
    gap: 1.5em;
    box-shadow: 4px 4px 4px rgba(0, 0, 0, 0.25);
}

.accueil-cours-pole-card-content {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: space-between;
    gap: 1em;
}

.accueil-cours-pole-card-content h3,
.accueil-cours-pole-card-content p {
    color: var(--Primary);
}

.accueil-cours-pole-card-content h3 {
    font-weight: 700;
}

.accueil-cours-pole-card-img img {
    width: 300px;
    border-radius: 8px;
}

/* TARIFS */
.tarifs {
    background-image: url(/images/content/img_bg_tarifs.jpg);
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
}

.container-tarifs {
    padding: 0px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.accueil-tarifs-header {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;
    padding: 0px 20px;
    gap: 1rem;
}

.accueil-tarifs-header p,
.accueil-tarifs-header h2 {
    color: var(--Primary);
}

.tarifs-card {
    background-color: var(--bg);
    border-radius: 10px;
    margin: 0px 5%;
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    justify-content: flex-start;
    gap: 1rem;
    box-shadow: 4px 4px 4px rgba(0, 0, 0, 0.25);
}

.tarifs-card p,
.tarifs-card h3,
.tarifs-card h4 {
    color: var(--Primary);
}

.tarifs-card h3 {
    font-size: 3em;
}

.card-tarifs-header {
    border-bottom: 2px solid rgba(128, 128, 128, 0.15);
    width: 100%;
    padding: 20px 0px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 1rem;
}

.card-tarifs-content {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: center;
    text-align: center;
    gap: 0.5rem;
    padding-top: 20px;
}

.card-tarifs-content h4 {
    font-size: 1.1em;
}

.card-tarifs-row {
    display: flex;
    flex-direction: row;
    align-items: flex-start;
    justify-content: flex-start;
    text-align: left;
    gap: 0.5rem;
    padding: 0px 20px;
}

.card-tarifs-CTA {
    padding: 20px 0px 40px 0px;
}

.tarifs-infos {
    color: var(--Primary);
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: flex-start;
    text-align: left;
    padding: 10px 20px;
    width: 100%;
    overflow: hidden;
    opacity: 1;
}

.tarifs-infos p {
    font-size: 0.6em;
}

.card-tarifs-header span {
    cursor: pointer;
}


/*TEAM*/
#team {
    background-color: var(--bg);
}

#team h2 {
    color: var(--Primary);
}

.container-team {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
}

.carousel-wrapper {
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
    width: 100%;
    box-sizing: border-box;
    padding: 2rem 0;
}

.carousel-container {
    overflow: hidden;
    max-width: 100%;
    flex: 0 1 auto;
}

.carousel-track {
    display: flex;
    transition: transform 0.4s ease-in-out;
    gap: 20px;
}

.carousel-card {
    width: 265px;
    height: auto;
    flex: 0 0 auto;
    background: var(--Primary) 0%;
    color: white;
    font-size: 2rem;
    border-radius: 10px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    padding: 10px;
    gap: 1rem;
}

.carousel-btn {
    background-color: rgba(200, 200, 200, 0.15);
    color: var(--Primary);
    border: none;
    font-size: 2rem;
    padding: 0.5rem 1rem;
    cursor: pointer;
    z-index: 2;
    position: absolute;
}

.carousel-btn.prev {
    left: 0;
    z-index: 9999;
}

.carousel-btn.next {
    right: 0;
    z-index: 9999;
}

@media (max-width: 768px) {
    .carousel-container {
        width: calc(265px + 0px);
    }
}

@media (min-width: 768px) {
    .carousel-container {
        width: calc((265px * 2) + 20px);
    }
}

@media (min-width: 1024px) {
    .carousel-container {
        width: calc((300px * 2) + 20px);
    }
}

@media (min-width: 1440px) {
    .carousel-container {
        width: calc((400px * 2) + 20px);
    }
}

.team-membre-info {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    margin-bottom: 20px;
}

.img-team {
    border-radius: 10px;
    height: auto;
    width: 100%;
}

.name {
    text-transform: uppercase;
    font-family: "Oswald";
    font-size: 0.9em;
}

.job {
    font-family: "Poppins";
    font-weight: 200;
    font-size: 0.7em;
}

.team-text p {
    color: var(--bg);
    font-size: 0.5em;
}

/*FAQ*/
#faq {
    background-color: #fff;
}

.accueil-faq-header h2,
.accueil-faq-header p {
    color: var(--Primary);
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;
}

.faq-wrapper {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: flex-start;
    width: 100%;
    background-color: var(--bg);
    border-radius: 10px;
    box-shadow: 4px 4px 4px rgba(0, 0, 0, 0.25);
}

.faq-item {
    border-bottom: 1px solid #ddd;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 0.5rem;
    width: 100%;
    padding: 20px 20px;
}

.faq-item-last {
    border: none;
}

.faq-question-container {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    width: 100%;
}

.faq-question {
    background: none;
    border: none;
    width: 100%;
    text-align: left;
    padding: 10px;
    font-size: 1.1rem;
    font-weight: bold;
    cursor: pointer;
    color: var(--Primary);
    transition: background-color 0.3s;
}

.faq-question:hover {
    background-color: #eee;
}

.faq-answer {
    max-height: 0;
    overflow: hidden;
    padding: 0 1rem;
    transition: max-height 0.4s ease, padding 0.3s ease;
    background-color: var(--bg);
    color: var(--Primary);
    padding: 0px 50px;
}

/*PARTENAIRES*/
#partenaires {
    background-color: var(--bg);
}

.container-partenaires {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;
}

.accueil-partenaires-header p,
.accueil-partenaires-header h2 {
    color: var(--Primary);
}

.partenaires-wrapper {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 1rem;
}

.partenaire-img {
    height: 200px;
    width: auto;
    max-width: 300px;
    object-fit: contain;
}

/*FOOTER*/
footer {
    background-color: var(--Primary);
    padding: 20px 0px;
}

.container-footer {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: center;
    gap: 1rem;
}

footer * {
    color: var(--bg);
}

.footer-column {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: flex-start;
    text-align: left;
    gap: 0.4rem;
    width: 100%;
    padding: 0px 10px;
}

.footer-title {
    font-weight: bolder;
    font-size: 1.2em;
    text-transform: uppercase;
}

.footer-subtitle {
    font-weight: bolder;
    font-size: 1.0em;
    text-transform: uppercase;
}

.reseaux {
    padding: 10px 0px;
}

.small-icon {
    width: 40px;
    height: 40px;
    object-fit: contain;
}

.logo-other img {
    width: 150px;
    height: 150px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

/* LES COURS */
/* HOME */
.navbar-cours {
    opacity: 1;
}

#accueil-cours {
    background-image: url(/images/content/pole-accueil.jpg);
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
}

.accueil-cours {
    padding-top: 200px;
    height: 100vh;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.accueil-cours::after {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(134, 70, 86, 0.2);
    pointer-events: none;
    z-index: 2;
}

.accueil-cours h1,
.accueil-cours h2,
.accueil-cours h3,
.accueil-cours p {
    color: var(--Primary);
}

.accueil-cours h1 {
    font-size: 2.5em;
    margin-bottom: 20px;
}

.accueil-cours h2 {
    font-size: 1.2em;
    margin-bottom: 20px;
}

.accueil-cours h3 {
    font-size: 1.0em;
}

.accueil-cours p span {
    font-size: 1.2em;
    font-weight: bolder;
}

.container-accueil-cours {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;
    z-index: 3;
}

.key-numbers-container {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;
    gap: 1.5em;
    margin-bottom: 40px;
}

.key-row {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 1em;
}

/* COURS DESCRIPTION */

#cours-pole-description {
    background-color: var(--bg);
}

.cours-description-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 2.5em;
}

.cours-description-row {
    display: flex;
    flex-direction: column;
    align-items: stretch;
    justify-content: center;
    gap: 2em;
    width: 100%;
}

.cours-description-card {
    flex: 1;
    background-color: var(--Primary);
    border-radius: 8px;
    padding: 20px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    color: var(--bg);
    gap: 1.5em;
}

.cours-description-card h3 {
    font-size: 1.5em;
    font-weight: bold;
}

.cours-description-img {
    max-width: 100%;
}

.cours-description-img img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 8px;
}

/* CTA ACTION */
#cta-action {
    background-color: var(--Primary);
}

.container-cta-action {
    display: flex;
    flex-direction: column;
    align-self: center;
    justify-content: center;
    text-align: center;
}

.container-cta-action p {
    color: var(--bg);
    margin-bottom: 15px;
}

/*PLANNING*/
#planning {
    background-color: var(--bg);
    color: var(--Primary);
}

#planning h2 {
    color: var(--Primary);
}

.services-planning-header {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;
}

.planning-wrapper {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 0.2rem;
    width: 100%;
    background-color: var(--Primary);
    color: var(--bg);
    border-radius: 10px;
    padding: 20px 0px;
}

.planning-viewport {
    overflow: hidden;
    width: 100%;
    max-width: 100%;
}

.planning-container {
    display: flex;
    overflow-x: auto;
    scroll-behavior: smooth;
    transition: transform 0.3s ease-in-out;
}

.day-column {
    min-width: 100%;
    flex-shrink: 0;
    text-align: center;
    border: 0.5px solid var(--bg);
    display: flex;
    flex-direction: column;
}

.day p {
    font-size: 1.5em;
    font-weight: 600;
}

.time-slot {
    padding: 20px 10px;
    gap: 1rem;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    border-bottom: 0.5px solid var(--texts);
    border-top: 0.5px solid var(--texts);
}

.type-1 {
    background-color: var(--Primary);
    color: var(--bg);
}

.type-2 {
    background-color: var(--Secondary);
    color: var(--Primary);
}

.type-3 {
    background-color: var(--bg);
    color: var(--Primary);
}

.type-4 {
    background-color: var(--texts);
    color: var(--bg);
}

.type-5 {
    background-color: var(--Tertiary);
    color: var(--Primary);
}

.type-large {
    height: 588px;
}

.type-large-min {
    height: 285px;
}

.type-large-jeudi {
    height: 181px;
}

.type-large-vendredi {
    height: 299px;
}

.type-last-item {
    flex: 1;
}

.cours-delimiter {
    height: 1px;
    width: 100%;
    background-color: var(--Primary);
}

.first-row,
.sec-row {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    gap: 0.5rem;
}

.first-row {
    font-size: 1.1em;
}

.sec-row {
    font-size: 1.3em;
    font-weight: bolder;
}

.nav-arrow {
    font-size: 3em;
    color: var(--bg);
    z-index: 9999;
}

.planning-infos {
    padding: 20px 0px;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: flex-start;
    gap: 1rem;
}

.planning-horaires {
    gap: 0.5rem;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: flex-start;
}

/* Responsive widths */
@media (min-width: 768px) {
    .day-column {
        min-width: 50%;
    }

    .planning-wrapper {
        gap: 0.5rem;
        padding: 20px 10px;
    }

}

@media (min-width: 1024px) {
    .day-column {
        min-width: 33.33%;
    }

    .planning-wrapper {
        gap: 1rem;
        padding: 20px;
    }
}

@media (min-width: 1440px) {
    .day-column {
        min-width: 16.667%;
    }

    .slot-time,
    .slot-duration,
    .slot-title {
        font-size: 0.75em;
    }

    .planning-viewport {
        align-items: center;
        justify-content: center;
    }

    .planning-container {
        width: 100%;
    }

    .type-large-min {
        height: 306px;
    }
}

/*CONTACT*/
#contact {
    background-color: var(--bg);
    color: var(--Primary);
    padding-top: 180px;
}

.container-contact {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;
}

.container-contact h1 {
    color: var(--Primary);
    font-size: 2em;
}

.form-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: left;
    width: 100%;
}

.form-wrapper {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: flex-start;
    text-align: left;
    width: 100%;
    border: 1px solid var(--Primary);
    border-radius: 10px;
    padding: 50px 20px;
    gap: 1rem;
}

.row-form {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: flex-start;
    text-align: left;
    gap: 1rem;
    width: 100%;
}

.form-item {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: flex-start;
    text-align: left;
    gap: 1rem;
    width: 100%;
}

.form-container label {
    font-size: 1.5em;
    color: var(--Primary);
}

.form-container input,
.form-container textarea {
    font-size: 1.5em;
    width: 100%;
    border-radius: 10px;
    color: var(--Primary);
}

.form-btn {
    width: 100%;
}

label span {
    color: var(--Primary);
}

.form-wrapper h2 {
    color: var(--Primary);
    font-size: 1.5em;
    margin: 0px;
}

/* PAGE TARIFS */
.tarifs-libre{
    padding-bottom: 0px;
}

.tarifs-pole-libre {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    gap: 3em;
    margin-top: 50px;
    border: 1px solid var(--Primary);
    border-radius: 8px;
    padding: 20px;
}

.tarifs-pole-libre h3 {
    color: var(--Primary);
    font-weight: bold;
    font-size: 1.2em;
}

.tarifs-pole-libre p {
    color: var(--Primary);
}

.acces-1h,
.acces-1h30 {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 1em;
}

.tarifs-pole-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: stretch;
    gap: 2em;;
}

.tarifs-pole-card {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: flex-start;
    background-color: var(--bg);
    border-radius: 8px;
    padding: 20px;
    gap: 1.5em;
    box-shadow: 4px 4px 4px rgba(0, 0, 0, 0.25);
    position: relative;
    overflow: hidden;
}

.tarifs-pole-card-content {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: space-between;
    gap: 1em;
}

.tarifs-pole-card-content h3,
.tarifs-pole-card-content p {
    color: var(--Primary);
}

.tarifs-pole-card-content h3 {
    font-weight: 700;
}

.prix-forfait{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    border-bottom: 1px dashed var(--Primary);
    width: 100%;
    padding-bottom: 15px;
}

.prix-forfait-explication{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: stretch;
    text-align: center;
    width: 100%;
    gap: 1.5em;
}

.bandeau {
    position: absolute;
    top: 20px;
    right: -60px;
    width: 200px;
    text-align: center;
    transform: rotate(45deg);
    background: var(--Primary);
    color: white;
    font-weight: 600;
    padding: 8px 0;
    font-size: 14px;
    letter-spacing: 1px;
    box-shadow: 0 5px 15px rgba(0,0,0,0.15);
  }

/* MEDIA QUERIES */

@media screen and (max-width: 1023px) {

    /* NAVIGATION */
    .logo {
        width: 150px;
        height: 100px;
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        flex-shrink: 0;
    }

    .logo img {
        width: 100%;
        height: auto;
    }

    .nav-links {
        position: absolute;
        right: 0;
        top: 0;
        background: var(--bg);
        color: var(--Primary);
        width: 100%;
        height: 100vh;
        flex-direction: column;
        align-items: flex-start;
        padding-left: 40px;
        justify-content: flex-start;
        transform: translateX(100%);
        transition: transform 0.5s ease-in-out;
        overflow-y: auto;
        border-radius: 0;
    }

    .nav-links.nav-active {
        transform: translateX(0);
    }

    .nav-links li {
        margin: 20px 0;
    }

    .nav-links a {
        color: var(--Primary);
        padding: 12px 0;
        font-size: 1.2rem;
    }

    .nav-links .CTA-mobile {
        padding: 15px 25px;
    }

    .burger {
        display: block;
    }

    .burger.toggle .line1 {
        transform: rotate(-45deg) translate(-5px, 6px);
        background: #4A533B;
    }

    .burger.toggle .line2 {
        opacity: 0;
    }

    .burger.toggle .line3 {
        transform: rotate(45deg) translate(-5px, -6px);
        background: #4A533B;
    }

    .dropdown {
        display: block !important;
        position: static;
        box-shadow: none;
        padding-left: 20px;
        margin-top: 5px;
        min-width: auto;
    }

    .dropdown a {
        padding-left: 30px;
        font-size: 1rem;
        white-space: normal;
    }

    .nav-item:hover .dropdown {
        display: block;
    }
}

@media screen and (min-width: 425px) {

    /* GENERAL */
    h1 {
        font-size: 2.6em;
    }

    h2 {
        font-size: 1.8em;
    }

    /* NAVIGATION */

    /*TARIFS */
    .accueil-tarifs-header {
        padding: 0px 40px;
    }

}

@media screen and (min-width: 768px) {

    /* GENERAL */
    h1 {
        font-size: 5em;
    }

    h2 {
        font-size: 2.2em;
    }

    .container {
        padding: 0px 6%;
    }

    /* NAVIGATION */
    .navbar {
        padding: 20px 6%;
    }

    /* ACCUEIL INFO */
    .accueil-info-CTA>* {
        margin: 0px 10px 0px 0px;
    }

    /* COURS POLE */
    .accueil-cours-pole {
        gap: 0.5em;
    }

    .accueil-cours-pole-card {
        flex-direction: row;
        align-items: center;
        padding: 30px;
    }

    /*TEAM*/
    .team-text {
        padding: 0px 20px;
    }

    .container-accueil-info {
        padding-bottom: 50px;
    }

    /*CONTACT*/
    .row-form {
        flex-direction: row;
    }

    .form-wrapper {
        padding: 50px;
    }

    .line-item-group {
        display: flex;
        animation: scroll-left linear infinite;
        animation-duration: 15s !important;
    }

    /* COURS POLE DANCE */
    .key-numbers-container {
        flex-direction: row;
    }

    .accueil-cours h1 {
        font-size: 3em;
        margin-bottom: 20px;
    }

    .accueil-cours h2 {
        font-size: 1.5em;
        margin-bottom: 20px;
    }

    .accueil-cours h3 {
        font-size: 1.1em;
    }

    .accueil-cours p span {
        font-size: 1.5em;
        font-weight: bolder;
    }

    /*CONTACT*/
    .row-form {
        flex-direction: row;
    }

    .form-wrapper {
        padding: 50px;
    }

    .line-item-group {
        display: flex;
        animation: scroll-left linear infinite;
        animation-duration: 15s !important;
    }
}

@media screen and (min-width: 1024px) {

    /* GENERAL */
    h1 {
        font-size: 8em;
    }

    h2 {
        font-size: 2.3em;
    }

    .container {
        padding: 0px 6%;
    }

    /* NAVIGATION */
    .CTA-mobile {
        display: none;
    }

    .navbar-CTA {
        display: block;
    }

    .dropdown {
        background-color: var(--Primary);
    }

    .navbar {
        padding: 20px 6%;
    }

    /* ACCUEIL INFO */
    .accueil-info-col-left {
        justify-content: center;
        height: 100%;
        margin: 0;
    }

    .accueil-info-col-right {
        align-items: flex-end;
    }

    .container-accueil-info {
        flex-direction: row;
        height: 750px;
    }

    .accueil-info-img-top {
        transform: translateY(-30%);
        z-index: 1;
    }

    .accueil-info-img-down {
        transform: translateY(-30%);
        z-index: 1;
    }

    .accueil-info-img {
        width: 405px;
        height: 500px;
    }

    .accueil-info-title h2 {
        font-size: 2.5em;
    }

    .accueil-info-text p {
        font-size: 1.1em;
    }

    /* COURS POLE */
    .accueil-cours-pole {
        gap: 1.5em;
    }

    /*TARIFS */
    .accueil-tarifs-header {
        padding: 0px 100px;
    }

    /*TEAM*/
    .team-text {
        padding: 0px 30px;
    }

    .carousel-track {
        width: 600px;
    }

    .carousel-card {
        width: 300px;
        padding-bottom: 40px;
    }

    /*PARTENAIRES */
    .partenaires-wrapper {
        flex-direction: row;
    }

    /*FOOTER*/
    .container-footer {
        flex-direction: row;
    }

    /*CONTACT*/
    .row-form {
        flex-direction: row;
    }

    .form-wrapper {
        padding: 50px 100px;
    }

    .line-item-group {
        display: flex;
        animation: scroll-left linear infinite;
        animation-duration: 20s !important;
    }

    /*PARTENAIRES */
    .partenaires-wrapper {
        flex-direction: row;
    }

    /* COURS POLE */
    .key-row {
        flex-direction: row;
    }

    .accueil-cours h1 {
        font-size: 2.8em;
        margin-bottom: 20px;
    }

    .accueil-cours h2 {
        font-size: 1.5em;
        margin-bottom: 20px;
    }

    .accueil-cours h3 {
        font-size: 1.1em;
    }

    .accueil-cours p span {
        font-size: 1.5em;
        font-weight: bolder;
    }

    .cours-description-row {
        flex-direction: row;
    }

    .cours-description-row-reverse {
        flex-direction: row-reverse;
    }

    .cours-description-img {
        max-width: 50%;
    }

    /*CONTACT*/
    .row-form {
        flex-direction: row;
    }

    .form-wrapper {
        padding: 50px 100px;
    }

    .line-item-group {
        display: flex;
        animation: scroll-left linear infinite;
        animation-duration: 20s !important;
    }

    /* TARIFS */
    .tarifs-pole-libre h3 {
        font-size: 1.5em;
    }

    .tarifs-pole-libre p {
        font-size: 1.5em;
    }

    .tarifs-pole-card-content{
        flex-direction: row;

    }

    .prix-forfait h3{
        font-size: 2em;
    }
    .prix-forfait p{
        font-size: 1.2em;
    }

    .prix-forfait{
        border-bottom: none;
        align-items: center;
        border-right: 1px dashed var(--Primary);
        height: 100%;
        width: 300px;
        padding-bottom: 15px;
    }
    
    .prix-forfait-explication{
        display: flex;
        flex-direction: column;
        align-items: flex-start;
        justify-content: stretch;
        text-align: left;
        width: 100%;
        gap: 1.5em;
        padding: 20px
    }
}

@media screen and (min-width: 1440px) {

    /* GENERAL */
    h1 {
        font-size: 10em;
    }

    h2 {
        font-size: 2.5em;
    }

    .container {
        padding: 0px 8%;
    }

    .navbar {
        padding: 0px 8%;
    }

    /* NAVIGATION */
    /* ACCUEIL INFO */
    .accueil-info-col-left {
        justify-content: center;
        height: 100%;
        margin: 0;
    }

    .container-accueil-info {
        flex-direction: row;
        height: 750px;
    }

    .accueil-info-img-top {
        transform: translateY(-30%);
        z-index: 1;
    }

    .accueil-info-img-down {
        transform: translateY(-30%);
        z-index: 1;
    }

    .accueil-info-img {
        width: 405px;
        height: 500px;
    }

    .accueil-info-title h2 {
        font-size: 4em;
    }

    .accueil-info-text p {
        font-size: 1.2em;
    }

    /* COURS POLE */
    .accueil-cours-pole {
        gap: 3em;
    }

    .accueil-cours-pole-card {
        padding: 40px 30px;
    }

    /*TEAM*/
    .team-text {
        padding: 0px 40px;
    }

    .carousel-card {
        width: 400px;
        padding-bottom: 60px;
    }

    /* TARIFS */
    .accueil-tarifs-header {
        padding: 0px 120px;
    }

    /* COURS POLE */
    .accueil-cours h1 {
        font-size: 3.5em;
        margin-bottom: 20px;
    }

    .accueil-cours h2 {
        font-size: 2em;
        margin-bottom: 20px;
    }

    .accueil-cours h3 {
        font-size: 1.2em;
    }

    .accueil-cours p span {
        font-size: 1.8em;
        font-weight: bolder;
    }

    /* TARIFS */
    .tarifs-pole-libre h3 {
        font-size: 1.8em;
    }

    .tarifs-pole-libre p {
        font-size: 1.8em;
    }
}

.footer-bottom {
    text-align: center;
    padding-top: 10px;
    margin-top: 10px;
    border-top: 1px solid rgba(255, 255, 255, 0.1);
}

.footer-bottom p {
    color: rgba(255, 255, 255, 1);
    font-size: 0.875rem;
    margin-bottom: 0.5rem;
}

.footer-bottom a {
    color: rgba(255, 255, 255, 1);
    font-weight: bold;
}

.footer-bottom a:hover {
    color: white;
}